<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="CREATE" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
shopWall = false;
makeActive();
setCollisionBounds(2, 0, 62, 64);
xVel = 0;
yVel = 0;
yDelta = -0.4;
myGrav = 0.2;
invincible = true;
viscidTop = 1;
carryPlayer = false;
image_speed = 0.4;

LEFT = 0;
RIGHT = 1;
desc = "Olmec";
desc2 = "A construct built by an ancient civilization, equipped with tremendous crushing force and powerful summoning magic.";
facing = rand(0, 1);

// status
START2 = -2;
START1 = -1;
IDLE = 0;
BOUNCE = 1;
RECOVER = 2;
WALK = 3;
DROWNING = 4;
PREPARE = 5;
SLAM = 6;
CREATE = 7;
DEAD = 99;

if (global.customLevel) {
  status = 0;
  sprite_index = sOlmec;
} else {
  status = -1;
}

counter = 0;
bounceCounter = 0;
slammed = false;

if (!global.customLevel) {
  view_hborder[0] = 0;
  if (global.bizarre) view_vborder[0] = 48;/*0*/ else view_vborder[0] = 0;
  if (global.bizarre) view_yview[0] = 272; else view_yview[0] = 400;
  view_object[0] = oOlmec;
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
